import React, { useEffect } from "react";
// import { useNavigate } from 'react-router-dom'
// import { useDispatch, useSelector } from 'react-redux'
// import { lessSeconds, restartTimer } from '../features/timer/timerSlice'
// import { gameEnded } from '../features/questions/questionsSlice'
import { useQuizStore } from "@/lib/quiz-store";
import { useShallow } from "zustand/react/shallow";
import { useRouter } from "next/navigation";
import { buttonVariants } from "../ui/button";

export const Timer = () => {
  const router = useRouter();
  const { secondsRemaining, gameEnded, lessSeconds, restartTimer } =
    useQuizStore(
      useShallow((store) => ({
        secondsRemaining: store.secondsRemaining,
        gameEnded: store.gameEnded,
        lessSeconds: store.lessSeconds,
        restartTimer: store.restartTimer,
      })),
    );
  // const {secondsRemaining} = useSelector(store => store.timer)
  const mins = Math.floor(secondsRemaining / 60);
  const sec = secondsRemaining % 60;

  //   const dispatch = useDispatch();
  //   const navigate = useNavigate();

  useEffect(() => {
    if (secondsRemaining === 0) {
      gameEnded();
      restartTimer();
      router.push("/dashboard/quiz/results");
    }
  }, [secondsRemaining]);

  useEffect(() => {
    const timer = setInterval(() => {
      lessSeconds();
    }, 1000);
    return () => clearInterval(timer);
  }, []);

  return (
    <div className={buttonVariants({ variant: "outline" })}>
      {mins < 10 && "0"}
      {mins}:{sec < 10 && "0"}
      {sec}
    </div>
  );
};
