export const CODE_SNIPPETS = {
    javascript: `\nfunction greet(name) {\n\tconsole.log("Hello, " + name + "!");\n}\n\ngreet("Mehedi");\n`,
    typescript: `\ntype Params = {\n\tname: string;\n}\n\nfunction greet(data: Params) {\n\tconsole.log("Hello, " + data.name + "!");\n}\n\ngreet({ name: "Mehedi" });\n`,
    python: `\ndef greet(name):\n\tprint("Hello, " + name + "!")\n\ngreet("Mehedi")\n`,
    java: `\npublic class HelloWorld {\n\tpublic static void main(String[] args) {\n\t\tSystem.out.println("Hello World");\n\t}\n}\n`,
    csharp:
      'using System;\n\nnamespace HelloWorld\n{\n\tclass Hello { \n\t\tstatic void Main(string[] args) {\n\t\t\tConsole.WriteLine("Hello World in C#");\n\t\t}\n\t}\n}\n',
    php: "<?php\n\n$name = 'Mehedi';\necho $name;\n",
    react: `import * as React from 'react';  //don't change this line
    function MyComponent() {
        const [counter, setCounter] = React.useState(0);
    
        const handleIncreaseClick = React.useCallback(() => {
            setCounter(counter + 1);
        }, [counter]);
    
        const handleDecreaseClick = React.useCallback(() => {
            setCounter(counter - 1);
        }, [counter]);
    
        return (
        <div className="text-2xl w-fit p-4">
            <div className="mx-auto w-fit">{counter}</div>
            <div className="space-x-8">
            <button onClick={handleIncreaseClick}>+</button>
            <button onClick={handleDecreaseClick}>-</button>
            </div>
        </div>
    );
    }`,
  };
  